Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.predicates
Class SimpleEdgePredicate

    java.lang.Object
      edu.uci.ics.jung.graph.predicates.GPredicate
          edu.uci.ics.jung.graph.predicates.EdgePredicate
              edu.uci.ics.jung.graph.predicates.SimpleEdgePredicate

All Implemented Interfaces:
  Predicate

public class SimpleEdgePredicate
extends EdgePredicate

A predicate that tests to see whether a specified edge is "simple" (neither parallel to any edge nor a self-loop). This predicate may be used as an edge constraint; a graph with this edge constraint will be a simple graph.

Author:
  Joshua O'Madadhain

Field Summary

Fields inherited from class edu.uci.ics.jung.graph.predicates.GPredicate
`isInitializationPredicate`

Constructor Summary
`protected` | `SimpleEdgePredicate()`

Method Summary
`boolean` | `evaluateEdge(ArchetypeEdge ae)` Returns `true` if `ae` is neither a self-loop nor parallel to an existing edge.
`static SimpleEdgePredicate` | `getInstance()` Returns an instance of this class.
`String` | `toString()`

Methods inherited from class edu.uci.ics.jung.graph.predicates.EdgePredicate
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleEdgePredicate

    protected SimpleEdgePredicate()

Method Detail

### getInstance

    public static SimpleEdgePredicate getInstance()

  Returns an instance of this class.

### toString

    public String toString()

### evaluateEdge

    public boolean evaluateEdge(ArchetypeEdge ae)

  Returns `true` if `ae` is neither a self-loop nor parallel to an existing edge.

  Specified by:
    `evaluateEdge` in class `EdgePredicate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD